
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>数据库原理：关系型数据库的事务ACID特性 / iVAN</title>

    <meta name="description" content="数据库原理：关系型数据库的事务ACID特性 事务是关系型数据库的核心,关系型数据库之所以在过去这几十年里蓬勃发展,和它对事务的支持密 不可分.但所谓成也萧何,败也萧何,随着数据量的爆炸式增长,特别是近几年的大数据的蓬勃发展, 关系型数据库的事务成为了互联网应用的性能瓶颈,NoSQL正是摒弃了关系型数据库事务的某些属性,使 得对于某类特殊应用,其性能是关系型数据库的好多倍. 下面先说说什么是事务吧,事务在英文 中是transaction,和现实世界中的交易很类似,它有如下四个特性: 1.A (Atomicity) 原子性 原子性很容易理解,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">数据库原理：关系型数据库的事务ACID特性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>事务是关系型数据库的核心，关系型数据库之所以在过去这几十年里蓬勃发展，和它对事务的支持密 不可分。但所谓成也萧何，败也萧何，随着数据量的爆炸式增长，特别是近几年的大数据的蓬勃发展， 关系型数据库的事务成为了互联网应用的性能瓶颈，NoSQL正是摒弃了关系型数据库事务的某些属性，使 得对于某类特殊应用，其性能是关系型数据库的好多倍。</p>
<p>下面先说说什么是事务吧，事务在英文 中是transaction，和现实世界中的交易很类似，它有如下四个特性：</p>
<p>1、A (Atomicity) 原子性</p>
<p>原子性很容易理解，也就是说事务里的所有操作要么全部做完，要么都不做，事务成功的条件是 事务里的所有操作都成功，只要有一个操作失败，整个事务就失败，需要回滚。</p>
<p>比如银行转账， 从A账户转100元至B账户，分为两个步骤：1）从A账户取100元；2）存入100元至B账户。这两步要么一起 完成，要么一起不完成，如果只完成第一步，第二步失败，钱会莫名其妙少了100元。</p>
<p>2、C (Consistency) 一致性</p>
<p>一致性也比较容易理解，也就是说数据库要一直处于一致的状态，事务的 运行不会改变数据库原本的一致性约束。</p>
<p>例如现有完整性约束a+b=10，如果一个事务改变了a， 那么必须得改变b，使得事务结束后依然满足a+b=10，否则事务失败。</p>
<p>3、I (Isolation) 独立性</p>
<p>所谓的独立性是指并发的事务之间不会互相影响，如果一个事务要访问的数据正在被另外一个事 务修改，只要另外一个事务未提交，它所访问的数据就不受未提交事务的影响。</p>
<p>比如现有有个交 易是从A账户转100元至B账户，在这个交易还未完成的情况下，如果此时B查询自己的账户，是看不到新 增加的100元的。</p>
<p>4、D (Durability) 持久性</p>
<p>持久性是指一旦事务提交后，它所做的修改 将会永久的保存在数据库上，即使出现宕机也不会丢失。</p>
<p>还是举上面那个例子，如果转账成功了 ，而此时数据库宕机了，重启后，还是能够看到转账成功后的结果。</p>
<p>下面介绍一个牛人 —— James Gray，他对关系型数据库事务做了不可磨灭的功绩：</p>
<p>定义了事务，完美解决了数据一致性 的问题。</p>
<p>提出了锁的机制，</p>
<p>提出日志对事物的控制。</p>
<p>提出了两阶段提交的技术（2PC）。</p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/database/basis/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:18:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e5%8a%a1/" title="事务">事务</a>, <a href="https://www.iamivan.net/tag/%e8%bd%ac%e8%b4%a6/" title="转账">转账</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e8%87%b4%e6%80%a7/" title="一致性">一致性</a>, <a href="https://www.iamivan.net/tag/%e5%85%b3%e7%b3%bb%e5%9e%8b/" title="关系型">关系型</a>, <a href="https://www.iamivan.net/tag/acid%e7%89%b9%e6%80%a7/" title="ACID特性">ACID特性</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>数据库原理：关系型数据库的事务ACID特性的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yPxoz.html" rel="bookmark">Notes数据库与关系型数据库的概念比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道在数据库理论中,有外模式.模式和内模式之分.外模式(又称子模式或用户模式)是数据库用户使用的局部数据的逻辑结构和特征的描述,是数据库用户的数据视图,如视图和表的结构.类型.长度.保密级别等.模式是数据库中全体数据的逻辑结构和特征的描述,是所有用户的公共数据视图,如不同表的结构.类型.长度.保密级别等,以及表和表之间的各种逻辑关系.内模式(又称物理模式)是数据物理结构和存储方式的描述,是数据在数据库内部的表示方式,如存储.索引方式以及数据压缩.加密和聚簇等.为了对Notes文档数据库和关系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrK3Oyp.html" rel="bookmark">DB2 9颠覆关系型数据库？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				7月14日,IBM软件集团发布了其最新一代的数据库产品DB2 9,不同于其他数据库,这款产品结合了层次型数据库与关系型数据库的优点,能够以XML的格式存储数据,XML在这一款数据库产品的地位不再是从属,而是核心之一,由此引发的一系列问题犹如在平静的水面上激起了太多的浪花-关系型数据库会被颠覆吗?这是否会改变数据库市场的传统格局?数据库设计与应用开发设计之间的鸿沟是否就此得以填平?IBM DB2 9的推出能够引发如此多的重要连锁反应,那么再讨论这款产品是否具有里程碑式意义已经不太重要,因为它本身已			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDBmQM.html" rel="bookmark">数据库的ACID特性术语详解&lowbar;数据库其它</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ACID就是:原子性(Atomicity ).一致性( Consistency ).隔离性( Isolation)和持久性(Durabilily). 1. 原子性 原子性属性用于标识事务是否完全地完成,一个事务的任何更新要在系统上完全完成,如果由于某种原因出错,事务不能完成它的全部任务,系统将返回到事务开始前的状态. 让我们再看一下银行转帐的例子.如果在转帐的过程中出现错误,整个事务将会回滚.只有当事务中的所有部分都成功执行了,才将事务写入磁盘并使变化永久化. 为了提供回滚或者撤消未提交的变化的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1yrZb.html" rel="bookmark">数据库事务ACID</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库事务 数据库事务有严格的定义,它必须同时满足4个特性:原子性(Atomic).一致性(Consistency).隔离性(Isolation)和持久性(Durability),简称ACID.下面是对每个特性的说明. 原子性:表示组成一个事务的多个数据库操作是一个不可分割的原子单元,只有所有的操作执行成功,整个事务才提交,事务中任何一个数据库操作失败,已经执行的任何操作都必须撤销,让数据库返回到初始状态. 一致性:事务操作成功后,数据库所处的状态和它的业务规则是一致的,即数据不会被破坏.如从A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62ergM.html" rel="bookmark">数据库原理：事务的隔离等级 &lpar;ANSI标准&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				并发与数据读取 当多个会话同时访问(操作)相同的数据时,将会出现一些意想不到的结果 ,这包括: – 脏读 -- Dirty reads – 不可重复度-- Non-repeatable reads – 幻读 -- Phantom reads 1.脏读 脏读就是指当一个事务正在访问数据,并且对数据进行了修改,而这 种修改还没有提交到数据库中,这时,另外一个事务也访问这个数据,然后使用了这个数据.因为这个 数据是还没有提交的数据,那么另外一个事务读到的这个数据是脏数据.看下面这个图示可能更好理解 :			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5QEqp.html" rel="bookmark">深度：阿里云分布式关系型数据库DRDS解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4月20日,云栖大会深圳峰会顺利召开.阿里云中间件产品经理凤豪为大家深度介绍了阿里云分布式关系型数据库DRDS的发展历史以及DRDS的优势.下面是演讲主要内容整理. 数据库面临的挑战 单机数据库在数据存储容量.访问容量.容灾等方面都会随着业务的增长而到达瓶颈,无论哪一个,对业务来说是一项相当艰巨的挑战.存储容量瓶颈问题,虽然可以通过在一个机器下面挂很多块磁盘,做到10T.20T.30T容量,然后使用一个MySQL实例支撑,但是数据备份.数据管理(DDL).数据检索与更新性能(DML)都会出现大幅			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7Q7NM.html" rel="bookmark">阿里云新一代关系型数据库 PolarDB 剖析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文通过描述关系型数据库发展的背景以及云计算的时代特征,分享了数据库计算力的螺旋式上升的进化理念.并且结合阿里云 RDS 产品的发展路径,阐述了自主研发的新一代云托管关系型数据库 PolarDB 的产品整体设计思想,同时也对一些关键技术点进行了解读. 背景 关系型数据库 谈到关系型数据库,在这个知识日新月异的TMT时代,听起来有些&quot;古董&quot;,这个起源于半个世纪以前的IT技术,事实上一直处于现代社会科技的核心,支撑着当今世界绝大多数的商业科技文明.CPU.操作系统.数据库这三大核心领域,基			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQN7NQM.html" rel="bookmark">深度解读 &vert; 阿里云新一代关系型数据库 PolarDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文通过描述关系型数据库发展的背景以及云计算的时代特征,分享了数据库计算力的螺旋式上升的进化理念,另外结合阿里云 RDS 产品的发展路径,阐述了自主研发的新一代云托管关系型数据库 PolarDB 的产品整体设计思想,对一些关键技术点进行了解读. 关系型数据库 谈到关系型数据库,在这个知识日新月异的 TMT 时代,听起来有些&quot;古董&quot;,这个起源于半个世纪以前的 IT 技术,事实上一直处于现代社会科技的核心,支撑着当今世界绝大多数的商业科技文明.CPU.操作系统.数据库这三大核心领域,基本上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oKGmb.html" rel="bookmark">关系型数据库中的关键技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				存储引擎 MySQL 的存储引擎可能是所有关系型数据库产品中最具有特色的了,不仅可以同时使用多种存储引擎,而且每种存储引擎和MySQL之间使用插件方式这种非常松的耦合关系. 由于各存储引擎功能特性差异较大,这篇文章主要是介绍如何来选择合适的存储引擎来应对不同的业务场景. MyISAM 1.特性 不支持事务:MyISAM存储引擎不支持事务,所以对事务有要求的业务场景不能使用 表级锁定:其锁定机制是表级索引,这虽然可以让锁定的实现成本很小但是也同时大大降低了其并发性能 读写互相阻塞:不仅会在写入的时			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Q4mp.html" rel="bookmark" class="title">pl&sol;sql developer执行光标所在行</a>
					<div>
						一.发现问题需要执行某一行语句时,需要选中该行语句,点击F8才行. 二.解决问题中文版:工具-&gt;首选项-&gt;SQL窗口-&gt;自动选择语句 英文版:tools-&gt;preference ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp869Bb.html" rel="bookmark" class="title">PHP&plus;MYSQL的文章管理系统&lpar;一&rpar;</a>
					<div>
						mysql 此篇文章属原创,如有引用,请标明作者信息. Email: leo_cdp@yeah.net http://www.cfeng.net/ 本文代码任意转载,使用请保留此声明 ######## ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKveAz.html" rel="bookmark" class="title">ORACLE之常用FAQ V1&period;0 &lpar;5&rpar;</a>
					<div>
						oracle 第五部分.ORACLE网络与安全[Q]如何限定特定IP访问数据库[A]可以利用登录触发器.cmgw或者是在$OREACLE_HOME/network/admin下新增一个protocol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2Q8Jb.html" rel="bookmark" class="title">PS绘制长发飞舞玄幻美女插画上色教程</a>
					<div>
						大家好,很高兴能在这里和大家一起分享两幅小白真传作品的创作过程.这次我想创作的是两幅带有奇幻色彩的作品--&lt;天堂信徒&gt;与&lt;地狱使者&gt;. 天堂信徒是正直者死后,其灵魂就要进入到神 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxVPjb.html" rel="bookmark" class="title">excel表格如何把一格分成三格</a>
					<div>
						  excel一格分成三格步骤如下: 1.点击&quot;视图--工具栏--绘图&quot;,在弹出的绘图工具条中,点击&quot;直线&quot;按钮,在单元格中画一条斜线,如果要画两条斜线,再次点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yKrqz.html" rel="bookmark" class="title">PS中为自己的摄影作品添加水印的2种方法</a>
					<div>
						大家都有一个十分矛盾的心理,拍了很多优秀的片片希望能依靠这么庞大的网络能让全国各地的爱好者一起来分享,但却又担心片片会被直接copy盗用,或者据为己有! 今天,小编要教大家用Photoshop制作水印 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLXBOb.html" rel="bookmark" class="title">将声音文件无限制打包到PPT文件中</a>
					<div>
						  幻灯片打包后可以到没有安装PPT的电脑中运行,如果链接了声音文件,则默认将小于100KB的声音素材打包到 PPT文件中,而超过该大小的声音素材则作为独立的素材文件.其实我们可以通过设置就能将所有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY0RBb.html" rel="bookmark" class="title">优盘装系统问题小结</a>
					<div>
						ISO(Isolation)文件一般以iso为扩展名,是复制光盘上全部信息而形成的镜像文件. Gho是Ghost工具软件的镜像文件存放扩展名,Gho文件中是使用Ghost软件备份的硬盘分区或整个硬盘的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZP3lb.html" rel="bookmark" class="title">python 包 模块-关于Python pcap模块的问题</a>
					<div>
						问题描述 关于Python pcap模块的问题 这个模块只有32位的吗?找了好久win64的都没有,谁有?求...作业要用. 解决方案 关于python模块问题:??? 首先说模块:模块基本上就是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad9N2z.html" rel="bookmark" class="title">jar包的service Provider机制</a>
					<div>
						The META-INF directory The following files/directories in the META-INF directory are recognized and  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ongmb.html" rel="bookmark" class="title">mysql-求教！下面的MySQL代码怎么改成sqlserver的？拜托拜托！</a>
					<div>
						问题描述 求教!下面的MySQL代码怎么改成sqlserver的?拜托拜托! CREATE TABLE trade ( tradeid int NOT NULL PRIMARY KEY identit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqy7ab.html" rel="bookmark" class="title">使用JavaScript判断图片是否加载完成的三种实现方式&lowbar;javascript技巧</a>
					<div>
						有时需要获取图片的尺寸,这需要在图片加载完成以后才可以.有三种方式实现,下面一一介绍. 一.load事件 复制代码 代码如下: &lt;!DOCTYPE HTML&gt; &lt;html&gt; & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l6X9b.html" rel="bookmark" class="title">敦煌网回应全线裁员：60&percnt;绝对不正确</a>
					<div>
						9月26日消息,近日一位自称敦煌网前员工的 网友发帖爆料,称敦煌网实施全线裁员,部门最高裁员比例达60%,全公司由原来的1000人规模缩减至300-400人.对此,敦煌网公关负责人表示,公司确实存在人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwJXdp.html" rel="bookmark" class="title">新形式下的债券市场监管也需要创新</a>
					<div>
						本文讲的是新形式下的债券市场监管也需要创新,2011年9月1号, 以&quot;创新融合 稳健提升&quot;为主题的2011中国国际金融展(以下简称金融展)在京拉开帷幕. 在金融展上来自人民银行.银 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQZD0z.html" rel="bookmark" class="title">手机-用java开发微信的问题</a>
					<div>
						问题描述 用java开发微信的问题 5C 求助:哪位大神能解决这个问题:用**ios系统的手机**在微信内打开自己开发的网页 当点击网页上的&quot;后退&quot;(这个后退是用history.b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEkkkp.html" rel="bookmark" class="title">RHEL 6&period;3 as 64bit 配置yum源</a>
					<div>
						1.查询redhat原有的yum [root@localhost ~]# rpm -qa |grep yum yum-metadata-parser-1.1.2-16.el6.x86_64 yum-r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6mAnM.html" rel="bookmark" class="title">《圣殿祭司的ASP&period;NET4&period;0专家技术手册》----1-12  ASP&period;NET程序的编译模型</a>
					<div>
						1-12 ASP.NET程序的编译模型 圣殿祭司的ASP.NET4.0专家技术手册 ASP.NET 4.0支持两种编译模型:动态编译(Dynamic Compilation)与预编译(Precompi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrAQaM.html" rel="bookmark" class="title">关于opencv在单通道图像上画矩形框</a>
					<div>
						问题描述 关于opencv在单通道图像上画矩形框 rectangle(img r.tl() r.br()Scalar(00255)-180);这个函数是画3通道的矩形框,但是我的图像是红外图像,网上说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQJedp.html" rel="bookmark" class="title">教你快速预订在线火车票</a>
					<div>
						有人戏称世界上最难登陆的地方不是钓鱼岛,而是铁道部官方火车票预订网站12306.cn,这个被公众揶揄为&quot;一个神奇网站&quot;的网站又因为高额的新一代铁路客票发售和预订系统的建设广受诟病, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7o4xp.html" rel="bookmark" class="title">出错-php使用ssh2时报错，Invalid MAC</a>
					<div>
						问题描述 php使用ssh2时报错,Invalid MAC Warning: ssh2_connect(): Error starting up SSH connection(-4): Invalid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrEeQM.html" rel="bookmark" class="title">云上的创业生态</a>
					<div>
						下面是现场分享观点整理.     经过我这两三年的观察,我总结这么一句话,创业者对于外部生态资源运用效率往往是决定从0到1的关键.几乎所有创业者,不管有没有经验,都会发现别人帮助你的那些东西远远大于你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6Wvwz.html" rel="bookmark" class="title">动态配置文件管理</a>
					<div>
						问题描述 ini文件的生成读取和保存怎么用c#来实现啊现在没有办法着手请高手指教给个方向(比如要学习哪方面的东西)小弟新手不胜感激 解决方案 解决方案二:System.IO里面的					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXve1z.html" rel="bookmark" class="title">网络视频市场将面临洗牌还是走向竞合？</a>
					<div>
						摘要: 三网融合的大背景下,在政策的层层推进与实施中,网络视频数以万亿计的巨大市场空间开始展现.安徽卫视获得全国第一张省级网络电视台牌照后,越来越多的地方卫视也欲加入网络 三网融合的大背景下,在政策的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydPKEb.html" rel="bookmark" class="title">控件可否有必须属性</a>
					<div>
						问题描述 我从textbox继承了一个类,自己写了一个属性叫&quot;MoneyValue&quot;,我想知道能否让使用者必须设定这个值,就像runat=&quot;server&quot;那样, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AvRPz.html" rel="bookmark" class="title">准上市咨询公司汉鼎咨询致命伤调查四大疑问待解</a>
					<div>
						一家注册资本仅有10万元的公司,缘何在短短时间内成为&quot;中国最大准上市咨询公司&quot;? 本刊记者 倪琳 一家号称&quot;国内最大的细分市场的调研机构&quot;,竟然是注册资本10万 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlZnep.html" rel="bookmark" class="title">wangEditor编辑器失去焦点后仍然可以在原位置插入图片分析&lowbar;javascript技巧</a>
					<div>
						昨天在github上发现了一个很好的富文本编辑器wangEditor,一看名字就是中国人写的.这个编辑器好在支持ie6+,另外最重要的一点,它在ie6,7,8上都可以做到失去焦点后仍然可以在原位置插入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rKD8p.html" rel="bookmark" class="title">大量联想手机用户投诉应用被悄然卸载</a>
					<div>
						9月29日凌晨消息,由于大量联想手机用户投诉应用被悄然卸载,联想集团决定暂时下架旗下应用商店内的360公司的全线产品. 联想集团昨天下午发布新款VIBE品牌智能手机.在与媒体沟通时,联想集团副总裁.移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA0qwb.html" rel="bookmark" class="title">《AutoCAD 2014中文版超级学习手册》&mdash;&mdash;1&period;5　文件管理</a>
					<div>
						1.5 文件管理 AutoCAD 2014中文版超级学习手册 本节将介绍有关文件管理的一些基本操作方法,包括新建文件.打开文件.保存文件.删除文件.密码与数字签名等,这些都是AutoCAD 2014最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60V5Yz.html" rel="bookmark" class="title">oracle goldengate-oracle 11&period;2&period;0&period;1升级到11&period;2&period;0&period;4</a>
					<div>
						问题描述 oracle 11.2.0.1升级到11.2.0.4 SQL&gt; @?/rdbms/admin/utlu112i.sql------Miscellaneous Warnings WARN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5o7Az.html" rel="bookmark" class="title">Mac Yosemite下安装Apache&plus;PHP&plus;MySQL&plus;Memcached环境笔记</a>
					<div>
						为了安装方便,需要注意几个小细节. 最好是安装了xcode之后再来安装此环境 Mac OS X 10.10 Yosemite 自带PHP5.5和Apache2.4做相应修改即可. Mac先安装所需工具 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
